Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Class PropertyProperty

    java.lang.Object
      com.plumtree.remote.prc.ObjectProperty
          com.plumtree.remote.prc.PropertyProperty

public class PropertyProperty
extends ObjectProperty

An enumerated type used to describe the inherent properties of Property objects themselves.

Field Summary
`static PropertyProperty` | `CardProperty` Whether or not this property applies to documents.
`static PropertyProperty` | `Href` Whether or not the property represents an URL.
`static PropertyProperty` | `Mandatory` Whether or not a value must be specified for the property.
`static PropertyProperty` | `MultiValued` Whether or not this property can take multiple values.
`static PropertyProperty` | `PickTable` The database table containing possible values for this property if it's PickType is PropertyPickTypeIDs.UnmanagedList
`static PropertyProperty` | `PickType` The pick type associated with this object, as a PropertyPickTypeIDs
`static PropertyProperty` | `ReadOnly` Whether or not this property is read-only.
`static PropertyProperty` | `RefClass` If the property is a 'reference property' that refers to another portal object, the class ID of the object that the property refers to.
`static PropertyProperty` | `Searchable` Whether or not it is possible to search on this property.
`static PropertyProperty` | `Value` The value of the property.
`static PropertyProperty` | `ValueType` An enumerated value (and bitmask) indicating whether the value is a String, float, int or Date.
`static PropertyProperty` | `Visible` Whether or not the property is visible in the UI.

Fields inherited from class com.plumtree.remote.prc.ObjectProperty
`ClassID, Created, Description, FolderID, IsLocalized, Language, LastModified, LastModifiedBy, Name, ObjectID, OwnerID, UUID`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ValueType

    public static final PropertyProperty ValueType

  An enumerated value (and bitmask) indicating whether the value is a String, float, int or Date.

### Searchable

    public static final PropertyProperty Searchable

  Whether or not it is possible to search on this property.

### Href

    public static final PropertyProperty Href

  Whether or not the property represents an URL.

### ReadOnly

    public static final PropertyProperty ReadOnly

  Whether or not this property is read-only.

### RefClass

    public static final PropertyProperty RefClass

  If the property is a 'reference property' that refers to another portal object, the class ID of the object that the property refers to.

### MultiValued

    public static final PropertyProperty MultiValued

  Whether or not this property can take multiple values.

### Visible

    public static final PropertyProperty Visible

  Whether or not the property is visible in the UI.

### Mandatory

    public static final PropertyProperty Mandatory

  Whether or not a value must be specified for the property.

### PickType

    public static final PropertyProperty PickType

  The pick type associated with this object, as a PropertyPickTypeIDs

### PickTable

    public static final PropertyProperty PickTable

  The database table containing possible values for this property if it's PickType is PropertyPickTypeIDs.UnmanagedList

### Value

    public static final PropertyProperty Value

  The value of the property.

### CardProperty

    public static final PropertyProperty CardProperty

  Whether or not this property applies to documents.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.